<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_241) on Wed May 06 12:57:07 EEST 2020 -->
<title>IRestaurantProcessing</title>
<meta name="date" content="2020-05-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IRestaurantProcessing";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../BusinessLayer/CompositeProduct.html" title="class in BusinessLayer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?BusinessLayer/IRestaurantProcessing.html" target="_top">Frames</a></li>
<li><a href="IRestaurantProcessing.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">BusinessLayer</div>
<h2 title="Interface IRestaurantProcessing" class="title">Interface IRestaurantProcessing</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../BusinessLayer/Restaurant.html" title="class in BusinessLayer">Restaurant</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">IRestaurantProcessing</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessing.html#deleteProduct-java.lang.String-">deleteProduct</a></span>(java.lang.String&nbsp;name)</code>
<div class="block">numele nu trebuie sa fie null si meniul sa contina produse</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessing.html#existsOrders--">existsOrders</a></span>()</code>
<div class="block">trebuie sa existe comenzi dupa ce se lucreaza cu aplicatia</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessing.html#existsProducts--">existsProducts</a></span>()</code>
<div class="block">trebuie sa existe produse in meniul restaurantului la lansarea aplicatiei</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessing.html#generateBill-java.util.HashMap-int-">generateBill</a></span>(java.util.HashMap&lt;<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a>,java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&gt;&nbsp;orders,
            int&nbsp;idOrder)</code>
<div class="block">lista de comenzi nu trebuie sa fie goala si id ul comenzii trebuie s fie valid (diferit de 0)</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessing.html#insertBaseProduct-java.lang.String-double-">insertBaseProduct</a></span>(java.lang.String&nbsp;name,
                 double&nbsp;price)</code>
<div class="block">numele si pretul trebuie sa fie nenule</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessing.html#insertCompositeProduct-java.lang.String-java.util.ArrayList-">insertCompositeProduct</a></span>(java.lang.String&nbsp;name,
                      java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;ingredients)</code>
<div class="block">numele si lista de ingrediente trebuie sa fie nenule</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessing.html#insertOrder-BusinessLayer.Order-java.util.ArrayList-">insertOrder</a></span>(<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a>&nbsp;o,
           java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;orderProducts)</code>
<div class="block">comanda nu trebuie sa fie nula si trebuie sa existe o lista de produse comandate care sa nu fie nula</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../BusinessLayer/IRestaurantProcessing.html#updateProduct-int-java.lang.String-double-java.util.ArrayList-">updateProduct</a></span>(int&nbsp;id,
             java.lang.String&nbsp;name,
             double&nbsp;price,
             java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;ingredients)</code>
<div class="block">id ul trebuie sa fie diferit de 0 si meniul sa contina produse</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="existsProducts--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>existsProducts</h4>
<pre>void&nbsp;existsProducts()</pre>
<div class="block">trebuie sa existe produse in meniul restaurantului la lansarea aplicatiei</div>
<dl>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>!menu.isEmpty()</dd>
</dl>
</li>
</ul>
<a name="existsOrders--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>existsOrders</h4>
<pre>void&nbsp;existsOrders()</pre>
<div class="block">trebuie sa existe comenzi dupa ce se lucreaza cu aplicatia</div>
<dl>
<dt><span class="simpleTagLabel">Post:</span></dt>
<dd>nrOrders!=0</dd>
</dl>
</li>
</ul>
<a name="insertBaseProduct-java.lang.String-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertBaseProduct</h4>
<pre>java.lang.String&nbsp;insertBaseProduct(java.lang.String&nbsp;name,
                                   double&nbsp;price)</pre>
<div class="block">numele si pretul trebuie sa fie nenule</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - numele produsului</dd>
<dd><code>price</code> - pretul produsului</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mesaj de succes sau de eroare</dd>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>name!=null, price!=0</dd>
</dl>
</li>
</ul>
<a name="insertCompositeProduct-java.lang.String-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertCompositeProduct</h4>
<pre>java.lang.String&nbsp;insertCompositeProduct(java.lang.String&nbsp;name,
                                        java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;ingredients)</pre>
<div class="block">numele si lista de ingrediente trebuie sa fie nenule</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - numele produsului</dd>
<dd><code>ingredients</code> - ingredientele pe care le contine acest produs</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mesaj de succes sau de eroare</dd>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>name!=null</dd>
<dt><span class="simpleTagLabel">Invariant:</span></dt>
<dd>!ingredients.isEmpty()</dd>
</dl>
</li>
</ul>
<a name="deleteProduct-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteProduct</h4>
<pre>java.lang.String&nbsp;deleteProduct(java.lang.String&nbsp;name)</pre>
<div class="block">numele nu trebuie sa fie null si meniul sa contina produse</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - numele produsului care urmeaza a fi strers</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>mesaj de succes sau de eroare</dd>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>!menu.isEmpty(), name!=null</dd>
</dl>
</li>
</ul>
<a name="updateProduct-int-java.lang.String-double-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateProduct</h4>
<pre>void&nbsp;updateProduct(int&nbsp;id,
                   java.lang.String&nbsp;name,
                   double&nbsp;price,
                   java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;ingredients)</pre>
<div class="block">id ul trebuie sa fie diferit de 0 si meniul sa contina produse</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - id ul prodului</dd>
<dd><code>name</code> - noul nume al produsului</dd>
<dd><code>price</code> - noul pret al produslui</dd>
<dd><code>ingredients</code> - noua lista de ingrediente a produsului</dd>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>id!=0</dd>
<dt><span class="simpleTagLabel">Invariant:</span></dt>
<dd>!menu.isEmpty()</dd>
</dl>
</li>
</ul>
<a name="insertOrder-BusinessLayer.Order-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>insertOrder</h4>
<pre>void&nbsp;insertOrder(<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a>&nbsp;o,
                 java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&nbsp;orderProducts)</pre>
<div class="block">comanda nu trebuie sa fie nula si trebuie sa existe o lista de produse comandate care sa nu fie nula</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>o</code> - comanda care urmeaza a fi inserata</dd>
<dd><code>orderProducts</code> - produsele comandate</dd>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>o!=null</dd>
<dt><span class="simpleTagLabel">Invariant:</span></dt>
<dd>!orderProducts.isEmpty()</dd>
</dl>
</li>
</ul>
<a name="generateBill-java.util.HashMap-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>generateBill</h4>
<pre>void&nbsp;generateBill(java.util.HashMap&lt;<a href="../BusinessLayer/Order.html" title="class in BusinessLayer">Order</a>,java.util.ArrayList&lt;<a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer">MenuItem</a>&gt;&gt;&nbsp;orders,
                  int&nbsp;idOrder)</pre>
<div class="block">lista de comenzi nu trebuie sa fie goala si id ul comenzii trebuie s fie valid (diferit de 0)</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>orders</code> - lista de comenzi</dd>
<dd><code>idOrder</code> - id ul comenzii</dd>
<dt><span class="simpleTagLabel">Pre:</span></dt>
<dd>!orders.isEmpty(), idO!=0</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../BusinessLayer/CompositeProduct.html" title="class in BusinessLayer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../BusinessLayer/MenuItem.html" title="interface in BusinessLayer"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?BusinessLayer/IRestaurantProcessing.html" target="_top">Frames</a></li>
<li><a href="IRestaurantProcessing.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
